View Issue Details

IDProjectCategoryView StatusLast Update
0019731mantisbtemailpublic2015-12-06 02:45
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.2 
Target Version1.3.0-rc.1Fixed in Version1.3.0-rc.1 
Summary0019731: Notify user when they are unassigned a bug
Description

If a user's only relationship with a bug is that they are assigned the bug and they bug gets re-assigned, they won't be notified about the change, since they are no longer the reporter, note authors, handlers, etc. We should in this case add the handler unassigned as an explicit person to be notified about the change.

Tagsmantishub

Relationships

related to 0020321 closedvboctor Re-assigned issues don't trigger 'owner' notifications 

Activities

Related Changesets

MantisBT: master 907b0ce6

2015-11-28 02:05:07

vboctor

Details Diff
Fix email notifications for re-assign / unassign

- When an issue is unassigned, trigger an "unassigned" notification and
include the user that was unassigned.
- When an issue is re-assigned, trigger an "owner" change notification,
rather than issue update.

Fixes 0019731
Fixes 0020321
mod - bug_update.php Diff File
mod - core/bug_api.php Diff File
mod - core/email_api.php Diff File
mod - lang/strings_english.txt Diff File

Issue History

Date Modified Username Field Change
2015-05-18 23:46 vboctor New Issue
2015-05-18 23:46 vboctor Status new => assigned
2015-05-18 23:46 vboctor Assigned To => vboctor
2015-05-19 00:03 vboctor Tag Attached: mantishub
2015-11-28 02:06 vboctor Note Added: 0051956
2015-11-28 15:50 dregad Relationship added related to 0020321
2015-11-28 22:27 vboctor Changeset attached => MantisBT master 907b0ce6
2015-11-28 22:27 vboctor Status assigned => resolved
2015-11-28 22:27 vboctor Resolution open => fixed
2015-11-28 22:27 vboctor Fixed in Version => 1.3.0-rc.1
2015-11-29 16:09 atrol Target Version => 1.3.0-rc.1
2015-12-06 02:45 vboctor Status resolved => closed